package com.tutorialesprogramacionya.proyecto040

import android.content.Context
import android.graphics.Canvas
import android.graphics.Paint
import android.graphics.Typeface
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import androidx.constraintlayout.widget.ConstraintLayout

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val fondo = Lienzo(this)
        val layout1=findViewById<ConstraintLayout>(R.id.layout1)
        layout1.addView(fondo)
    }

    class Lienzo(context: Context) : View(context) {

        override fun onDraw(canvas: Canvas) {
            canvas.drawRGB(255, 255, 255)
            val pincel1 = Paint()
            pincel1.setARGB(255, 0, 0, 0)
            pincel1.setTextSize(80f)
            val face = Typeface.createFromAsset(getContext().getAssets(),  "Distemper.ttf")
            pincel1.setTypeface(face)
            canvas.drawText("Hola Mundo", 0f, 120f, pincel1)
        }
    }
}